Skip to main content
POST
/
v1
/
projects
/
{projectID}
/
onboard
Bulk onboard endpoints with subscriptions
curl --request POST \
  --url https://us.getconvoy.cloud/api/v1/projects/{projectID}/onboard \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/octet-stream' \
  --data '"<string>"'
{
  "message": "<string>",
  "status": true,
  "data": {
    "errors": [
      {
        "field": "<string>",
        "message": "<string>",
        "row": 123
      }
    ],
    "total_rows": 123,
    "valid_count": 123
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

projectID
string
required

Project ID

Query Parameters

dry_run
boolean

Validate without creating

Body

application/octet-stream

Onboard Details (JSON)

The body is of type file.

Response

OK

message
string
status
boolean
data
object